Go to the latest version of this document.

# ``twisted`.`mail`.`interfaces`.`IMessageIMAPCopier``

interface documentation

`class IMessageIMAPCopier(Interface): (source)`

View In Hierarchy

Undocumented

Method | `copy` | Copy the given message object into this mailbox.

def copy(messageObject): (source)

Copy the given message object into this mailbox.

The message object will be one which was previously returned by `IMailboxIMAP.fetch`.

Implementations which wish to offer better performance than the default implementation should implement this interface.

If this interface is not implemented by the mailbox, `IMailboxIMAP.addMessage` will be used instead.

Returns
`Deferred` or `int` | Either the UID of the message or a Deferred which fires with the UID when the copy finishes.